#include <Practicum.h>
#include "pitches.h"

#define ROW0 PIN_PD0
#define ROW1 PIN_PD1
#define ROW2 PIN_PD5
#define ROW3 PIN_PD6

#define COL0 PIN_PC5
#define COL1 PIN_PC4
#define COL2 PIN_PC1
#define COL3 PIN_PC0


void setup() {
  pinMode(COL0, INPUT_PULLUP);
  pinMode(COL1, INPUT_PULLUP);
  pinMode(COL2, INPUT_PULLUP);
  pinMode(COL3, INPUT_PULLUP);
  pinMode(ROW0, OUTPUT);
  pinMode(ROW1, OUTPUT);
  pinMode(ROW2, OUTPUT);
  pinMode(ROW3, OUTPUT);
  
}

void RunFirstRow(){
  digitalWrite(ROW0,LOW);
  digitalWrite(ROW1,HIGH);
  digitalWrite(ROW2,HIGH);
  digitalWrite(ROW3,HIGH);
  if(digitalRead(COL0) == LOW){
    tone(PIN_PB0,NOTE_B4);
    delay(200);
  }
  else if(digitalRead(COL1) == LOW){
    tone(PIN_PB0,NOTE_A4);
    delay(200);
  }
  else if(digitalRead(COL2) == LOW){
    tone(PIN_PB0,NOTE_G4);
    delay(200);
  }
  else if(digitalRead(COL3) == LOW){
    tone(PIN_PB0,NOTE_F4);
    delay(200);
  }
  else
  {
    noTone(PIN_PB0);
  }
}

void RunSecondRow(){
  digitalWrite(ROW0,HIGH);
  digitalWrite(ROW1,LOW);
  digitalWrite(ROW2,HIGH);
  digitalWrite(ROW3,HIGH);
  if(digitalRead(COL0) == LOW){
    tone(PIN_PB0,NOTE_F5);
    delay(200);
  }
  else if(digitalRead(COL1) == LOW){
    tone(PIN_PB0,NOTE_E5);
    delay(200);
  }
  else if(digitalRead(COL2) == LOW){
    tone(PIN_PB0,NOTE_D5);
    delay(200);
  }
  else if(digitalRead(COL3) == LOW){
    
    tone(PIN_PB0,NOTE_C5);
    delay(200);
  }
  else
  {
    noTone(PIN_PB0);
  }
}

void RunThirdRow(){
  digitalWrite(ROW0,HIGH);
  digitalWrite(ROW1,HIGH);
  digitalWrite(ROW2,LOW);
  digitalWrite(ROW3,HIGH);
  if(digitalRead(COL0) == LOW){
    tone(PIN_PB0,NOTE_C6);
    delay(200);
  }
  else if(digitalRead(COL1) == LOW){
    tone(PIN_PB0,NOTE_B5);
    delay(200);
  }
  else if(digitalRead(COL2) == LOW){
    tone(PIN_PB0,NOTE_A5);
    delay(200);
  }
  else if(digitalRead(COL3) == LOW){
    tone(PIN_PB0,NOTE_G5);
    delay(200);
  }
  else
  {
    noTone(PIN_PB0);
  }
}
void RunForthRow(){
  digitalWrite(ROW0,HIGH);
  digitalWrite(ROW1,HIGH);
  digitalWrite(ROW2,HIGH);
  digitalWrite(ROW3,LOW);
  if(digitalRead(COL0) == LOW){
    tone(PIN_PB0,NOTE_G6);
    delay(200);
  }
  else if(digitalRead(COL1) == LOW){
    tone(PIN_PB0,NOTE_F6);
    delay(200);
  }
  else if(digitalRead(COL2) == LOW){
    tone(PIN_PB0,NOTE_E6);
    delay(200);
  }
  else if(digitalRead(COL3) == LOW){
    tone(PIN_PB0,NOTE_D6);
    delay(200);
  }
  else
  {
    noTone(PIN_PB0);
  }
}

void loop() {  
  RunFirstRow();
  RunSecondRow();
  RunThirdRow();
  RunForthRow();
}

